Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Ret_Var_Array_SArgument_T< S_slice, S_var, S_forany > Class Template Reference

Skeleton value of variable size element array. More...

`#include <Var_Array_SArgument_T.h>`

Inheritance diagram for TAO::Ret_Var_Array_SArgument_T< S_slice, S_var, S_forany >:

[legend]
Collaboration diagram for TAO::Ret_Var_Array_SArgument_T< S_slice, S_var, S_forany >:

[legend]
List of all members.

## Public Methods
| Ret_Var_Array_SArgument_T (void)
virtual CORBA::Boolean | marshal (TAO_OutputCDR &)
virtual void | interceptor_result (CORBA::Any *)
S_slice *& | arg (void)
## Private Attributes
S_var | x_

## Detailed Description

### template<typename S_slice, typename S_var, typename S_forany>
class TAO::Ret_Var_Array_SArgument_T< S_slice, S_var, S_forany >

Skeleton value of variable size element array.

## Constructor & Destructor Documentation

template<typename S_slice, typename S_var, typename S_forany>
ACE_INLINE TAO::Ret_Var_Array_SArgument_T< S_slice, S_var, S_forany >::Ret_Var_Array_SArgument_T | ( | void |  | ) |

## Member Function Documentation

template<typename S_slice, typename S_var, typename S_forany>
ACE_INLINE S_slice *& TAO::Ret_Var_Array_SArgument_T< S_slice, S_var, S_forany >::arg | ( | void |  | ) |

template<typename S_slice, typename S_var, typename S_forany>
void TAO::Ret_Var_Array_SArgument_T< S_slice, S_var, S_forany >::interceptor_result | ( | CORBA::Any * |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S_slice, typename S_var, typename S_forany>
CORBA::Boolean TAO::Ret_Var_Array_SArgument_T< S_slice, S_var, S_forany >::marshal | ( | TAO_OutputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

## Member Data Documentation

template<typename S_slice, typename S_var, typename S_forany>
S_var TAO::Ret_Var_Array_SArgument_T< S_slice, S_var, S_forany >::x_`[private]`

The documentation for this class was generated from the following files:

- Var_Array_SArgument_T.h
- Var_Array_SArgument_T.cpp
- Var_Array_SArgument_T.inl